unit DFWSplitesU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, DFWSplites;

type
  TForm1 = class(TForm)
    DFWSplites1: TDFWSplites;
    Memo1: TMemo;
    GroupBox1: TGroupBox;
    CheckBox1: TCheckBox;
    Label1: TLabel;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    Label2: TLabel;
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
     DFWSplites1.ArrowBackgr:=Checkbox1.checked;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
     DFWSplites1.AutoSnap:=Checkbox2.checked;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
     DFWSplites1.Beveled:=checkbox3.checked;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
     case ComboBox1.ItemIndex of
       0: DFWSplites1.ArrowPlace:=apLeftOrTop;
       1: DFWSplites1.ArrowPlace:=apCenter;
       2: DFWSplites1.ArrowPlace:=apRightOrBottom;
     end;
end;

procedure TForm1.ComboBox2Change(Sender: TObject);
begin
     case ComboBox1.ItemIndex of
       0: DFWSplites1.ResizeStyle:=rsLine;
       1: DFWSplites1.ResizeStyle:=rsNone;
       2: DFWSplites1.ResizeStyle:=rsPattern;
       3: DFWSplites1.ResizeStyle:=rsUpdate;
     end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     ComboBox1.itemindex:=1;
     ComboBox2.itemindex:=0;
end;

end.
